Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 626877 - [abrt] brasero-2.31.90-1.fc14: g_variant_is_trusted: Process /usr/bin/brasero was killed by signal 11 (SIGSEGV)
[abrt] brasero-2.31.90-1.fc14: g_variant_is_trusted: Process /usr/bin/brasero...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:2e55120198b093dfcafc49bb00d...
:
: 628165 634216 639669 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 11:49 EDT by luigi votta
Modified: 2012-08-16 15:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:13:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.58 KB, text/plain)
2010-08-24 11:49 EDT, luigi votta
no flags Details
gdb trace showing segfault, .... (13.48 KB, text/plain)
2010-08-25 12:25 EDT, Tom London
no flags Details

  None (edit)
Description luigi votta 2010-08-24 11:49:22 EDT
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: brasero
comment: Brasero closes unexpectedly
component: brasero
crash_function: g_variant_is_trusted
executable: /usr/bin/brasero
kernel: 2.6.35.2-9.fc14.i686.PAE
package: brasero-2.31.90-1.fc14
rating: 4
reason: Process /usr/bin/brasero was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1282657382
uid: 500

How to reproduce
-----
1. In Brasero Select Tools->Check_Integrity
2. Click the Check button (no option selected)
Comment 1 luigi votta 2010-08-24 11:49:24 EDT
Created an attachment (id=440690)
File: backtrace
Comment 2 John Reiser 2010-08-24 19:12:05 EDT
Package: brasero-2.31.90-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Places > Computer > navigate through filesystem
2. left click on .iso to select it
3. right click on .iso to pop up menu, select Open with Brasero disk burner
Comment 3 Tom London 2010-08-25 12:25:47 EDT
Created attachment 440986 [details]
gdb trace showing segfault, ....

I'm seeing essentially the same crash with brasero-2.31.90-1.fc15.x86_64

Says:
(brasero:3495): GLib-CRITICAL **: g_variant_new_strv: assertion `length == 0 || strv != NULL' failed

Program received signal SIGSEGV, Segmentation fault.

gdb trace attached.
Comment 4 Brendan Jones 2010-08-29 00:45:21 EDT
Package: brasero-2.31.90-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open brasero
2. Select data project (DVD) add files
3. Click burn - crash occurs
Comment 5 Mike Chambers 2010-08-29 08:44:06 EDT
Package: brasero-2.31.90-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Put in cd
2.Start Brasero
3.Click on Burn image
4.Select /path/to/burn-image
5.Click on burn button

Comment
-----
Trying to burn boot.iso file.  Get same problem with nautilus as sure both are caused by same problem.

https://bugzilla.redhat.com/show_bug.cgi?id=628165
Comment 6 abrt-bot 2012-03-21 11:02:59 EDT
Backtrace analysis of bugs across components suggests the actual bug is in component gtk2 or glib2 instead of component brasero, reassigning to gtk2.

Bugs which were found to be similar to this bug: 
  brasero: bug #631987
  nautilus: bug #628165, bug #634216, bug #639669

This comment is automatically generated.
Comment 7 abrt-bot 2012-03-21 11:03:14 EDT
*** Bug 634216 has been marked as a duplicate of this bug. ***
Comment 8 abrt-bot 2012-03-21 11:03:37 EDT
*** Bug 639669 has been marked as a duplicate of this bug. ***
Comment 9 abrt-bot 2012-03-21 11:03:48 EDT
*** Bug 628165 has been marked as a duplicate of this bug. ***
Comment 10 Fedora End Of Life 2012-08-16 15:13:10 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.